Subject: Re: [Patch net v8 0/9] netem: Fix skb duplication logic and prevent infinite loops

From: Jakub Kicinski <[email-masked]>
Date: Tue, 27 Jan 2026 09:15:56 -0800

On Sun, 18 Jan 2026 10:07:37 -0500 Jamal Hadi Salim wrote:
> On Sun, Jan 18, 2026 at 1:16 AM Cong Wang <[email-masked]> wrote:
> > This patchset fixes the infinite loops due to duplication in netem, the
> > real root cause of this problem is enqueuing to the root qdisc, which is
> > now changed to enqueuing to the same qdisc. This is more reasonable,
> > more intuitive from users' perspective, less error-prone and more elegant
> > from kernel developers' perspective.
> >
> > Please see more details in patch 4/9 which contains two pages of detailed
> > explanation including why it is safe and better.
> >
> > This reverts the offending commits from William which clearly broke
> > mq+netem use cases, as reported by two users.
> >
> > All the TC test cases pass with this patchset.
> >  
> 
> These patches should not be considered for any review because they are
> not following the rules that are set for the community. The rules,
> which are well documented, state that you must cc all stakeholders.
> When someone does this _on purpose_ such as Cong, some accountability
> needs to be imposed. I would say totally ignoring these patches is one
> option. Otherwise anyone can just throw a tantrum and decide those
> rules dont apply to them. Either that or we modify the rules to state
> it is ok to do this..

We (the netdev maintainers) had a chat off list and concluded that it'd
be great if we (the two of you and one maintainer) met over VC. Either
technical solution is fine, but we want to make sure there's no ongoing
animosity. No agenda for the meeting, just want to make sure you can
have a friendly chat. We can talk about the weather, AI code reviews or
everyone's favorite animals. At the end of the meeting we can either
decide or flip a coin.